What do you think about replacing wget with preseed_fetch, for downloading the authorized_keys_url in network-console?

diff --git a/debian/network-console.postinst b/debian/network-console.postinst
index 02496a9..203d60d 100755
--- a/debian/network-console.postinst
+++ b/debian/network-console.postinst
@@ -28,7 +28,7 @@ if [ -n "$AUTHORIZED_KEYS_URL" ]; then
                [ -d "$AUTHORIZED_KEYS_DIRECTORY" ] || \
                    mkdir "$AUTHORIZED_KEYS_DIRECTORY"
                chmod 0700 "$AUTHORIZED_KEYS_DIRECTORY"
-               if ! wget -q "$AUTHORIZED_KEYS_URL" -O "$AUTHORIZED_KEYS_FILE"; 
then
+               if ! preseed_fetch "$AUTHORIZED_KEYS_URL" 
"$AUTHORIZED_KEYS_FILE"; then
                        db_subst $TEMPLATE_ROOT/authorized_keys_fetch_failure \
                            LOCATION "$AUTHORIZED_KEYS_URL"
                        db_input critical 
$TEMPLATE_ROOT/authorized_keys_fetch_failure \

This would mean that the setting (network-console/authorized_keys_url) could be a relative URL, so you could relocate your preseed file without updating it.

Reply via email to